1# Makefile.in generated by automake 1.16.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \	]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91target_triplet = @target@
92TESTS = test_compat$(EXEEXT) test_config-file$(EXEEXT) \
93	test_connection$(EXEEXT) test_onion$(EXEEXT) \
94	test_socks5$(EXEEXT) test_utils$(EXEEXT)
95noinst_PROGRAMS = test_onion$(EXEEXT) test_connection$(EXEEXT) \
96	test_utils$(EXEEXT) test_config-file$(EXEEXT) \
97	test_socks5$(EXEEXT) test_compat$(EXEEXT)
98subdir = tests/unit
99ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
100am__aclocal_m4_deps = $(top_srcdir)/config/ax_check_compile_flag.m4 \
101	$(top_srcdir)/config/ax_check_link_flag.m4 \
102	$(top_srcdir)/config/libtool.m4 \
103	$(top_srcdir)/config/ltoptions.m4 \
104	$(top_srcdir)/config/ltsugar.m4 \
105	$(top_srcdir)/config/ltversion.m4 \
106	$(top_srcdir)/config/lt~obsolete.m4 $(top_srcdir)/configure.ac
107am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
108	$(ACLOCAL_M4)
109DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
110mkinstalldirs = $(install_sh) -d
111CONFIG_HEADER = $(top_builddir)/include/config.h
112CONFIG_CLEAN_FILES =
113CONFIG_CLEAN_VPATH_FILES =
114PROGRAMS = $(noinst_PROGRAMS)
115am_test_compat_OBJECTS = test_compat.$(OBJEXT)
116test_compat_OBJECTS = $(am_test_compat_OBJECTS)
117test_compat_DEPENDENCIES = $(LIBTAP) $(LIBCOMMON) $(LIBTORSOCKS)
118AM_V_lt = $(am__v_lt_@AM_V@)
119am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
120am__v_lt_0 = --silent
121am__v_lt_1 =
122am_test_config_file_OBJECTS = test_config-file.$(OBJEXT)
123test_config_file_OBJECTS = $(am_test_config_file_OBJECTS)
124test_config_file_DEPENDENCIES = $(LIBTAP) $(LIBCOMMON)
125am_test_connection_OBJECTS = test_connection.$(OBJEXT)
126test_connection_OBJECTS = $(am_test_connection_OBJECTS)
127test_connection_DEPENDENCIES = $(LIBTAP) $(LIBCOMMON)
128am_test_onion_OBJECTS = test_onion.$(OBJEXT)
129test_onion_OBJECTS = $(am_test_onion_OBJECTS)
130test_onion_DEPENDENCIES = $(LIBTAP) $(LIBCOMMON)
131am_test_socks5_OBJECTS = test_socks5.$(OBJEXT)
132test_socks5_OBJECTS = $(am_test_socks5_OBJECTS)
133test_socks5_DEPENDENCIES = $(LIBTAP) $(LIBCOMMON) $(LIBTORSOCKS)
134am_test_utils_OBJECTS = test_utils.$(OBJEXT)
135test_utils_OBJECTS = $(am_test_utils_OBJECTS)
136test_utils_DEPENDENCIES = $(LIBTAP) $(LIBCOMMON)
137AM_V_P = $(am__v_P_@AM_V@)
138am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
139am__v_P_0 = false
140am__v_P_1 = :
141AM_V_GEN = $(am__v_GEN_@AM_V@)
142am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
143am__v_GEN_0 = @echo "  GEN     " $@;
144am__v_GEN_1 =
145AM_V_at = $(am__v_at_@AM_V@)
146am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
147am__v_at_0 = @
148am__v_at_1 =
149depcomp = $(SHELL) $(top_srcdir)/config/depcomp
150am__maybe_remake_depfiles = depfiles
151am__depfiles_remade = ./$(DEPDIR)/test_compat.Po \
152	./$(DEPDIR)/test_config-file.Po ./$(DEPDIR)/test_connection.Po \
153	./$(DEPDIR)/test_onion.Po ./$(DEPDIR)/test_socks5.Po \
154	./$(DEPDIR)/test_utils.Po
155am__mv = mv -f
156COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
157	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
158LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
159	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
160	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
161	$(AM_CFLAGS) $(CFLAGS)
162AM_V_CC = $(am__v_CC_@AM_V@)
163am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
164am__v_CC_0 = @echo "  CC      " $@;
165am__v_CC_1 =
166CCLD = $(CC)
167LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
168	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
169	$(AM_LDFLAGS) $(LDFLAGS) -o $@
170AM_V_CCLD = $(am__v_CCLD_@AM_V@)
171am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
172am__v_CCLD_0 = @echo "  CCLD    " $@;
173am__v_CCLD_1 =
174SOURCES = $(test_compat_SOURCES) $(test_config_file_SOURCES) \
175	$(test_connection_SOURCES) $(test_onion_SOURCES) \
176	$(test_socks5_SOURCES) $(test_utils_SOURCES)
177DIST_SOURCES = $(test_compat_SOURCES) $(test_config_file_SOURCES) \
178	$(test_connection_SOURCES) $(test_onion_SOURCES) \
179	$(test_socks5_SOURCES) $(test_utils_SOURCES)
180am__can_run_installinfo = \
181  case $$AM_UPDATE_INFO_DIR in \
182    n|no|NO) false;; \
183    *) (install-info --version) >/dev/null 2>&1;; \
184  esac
185am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
186# Read a list of newline-separated strings from the standard input,
187# and print each of them once, without duplicates.  Input order is
188# *not* preserved.
189am__uniquify_input = $(AWK) '\
190  BEGIN { nonempty = 0; } \
191  { items[$$0] = 1; nonempty = 1; } \
192  END { if (nonempty) { for (i in items) print i; }; } \
193'
194# Make sure the list of sources is unique.  This is necessary because,
195# e.g., the same source file might be shared among _SOURCES variables
196# for different programs/libraries.
197am__define_uniq_tagged_files = \
198  list='$(am__tagged_files)'; \
199  unique=`for i in $$list; do \
200    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
201  done | $(am__uniquify_input)`
202ETAGS = etags
203CTAGS = ctags
204am__tty_colors_dummy = \
205  mgn= red= grn= lgn= blu= brg= std=; \
206  am__color_tests=no
207am__tty_colors = { \
208  $(am__tty_colors_dummy); \
209  if test "X$(AM_COLOR_TESTS)" = Xno; then \
210    am__color_tests=no; \
211  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
212    am__color_tests=yes; \
213  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
214    am__color_tests=yes; \
215  fi; \
216  if test $$am__color_tests = yes; then \
217    red=''; \
218    grn=''; \
219    lgn=''; \
220    blu=''; \
221    mgn=''; \
222    brg=''; \
223    std=''; \
224  fi; \
225}
226am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
227am__vpath_adj = case $$p in \
228    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
229    *) f=$$p;; \
230  esac;
231am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
232am__install_max = 40
233am__nobase_strip_setup = \
234  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
235am__nobase_strip = \
236  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
237am__nobase_list = $(am__nobase_strip_setup); \
238  for p in $$list; do echo "$$p $$p"; done | \
239  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
240  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
241    if (++n[$$2] == $(am__install_max)) \
242      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
243    END { for (dir in files) print dir, files[dir] }'
244am__base_list = \
245  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
246  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
247am__uninstall_files_from_dir = { \
248  test -z "$$files" \
249    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
250    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
251         $(am__cd) "$$dir" && rm -f $$files; }; \
252  }
253am__recheck_rx = ^[ 	]*:recheck:[ 	]*
254am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
255am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
256# A command that, given a newline-separated list of test names on the
257# standard input, print the name of the tests that are to be re-run
258# upon "make recheck".
259am__list_recheck_tests = $(AWK) '{ \
260  recheck = 1; \
261  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
262    { \
263      if (rc < 0) \
264        { \
265          if ((getline line2 < ($$0 ".log")) < 0) \
266	    recheck = 0; \
267          break; \
268        } \
269      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
270        { \
271          recheck = 0; \
272          break; \
273        } \
274      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
275        { \
276          break; \
277        } \
278    }; \
279  if (recheck) \
280    print $$0; \
281  close ($$0 ".trs"); \
282  close ($$0 ".log"); \
283}'
284# A command that, given a newline-separated list of test names on the
285# standard input, create the global log from their .trs and .log files.
286am__create_global_log = $(AWK) ' \
287function fatal(msg) \
288{ \
289  print "fatal: making $@: " msg | "cat >&2"; \
290  exit 1; \
291} \
292function rst_section(header) \
293{ \
294  print header; \
295  len = length(header); \
296  for (i = 1; i <= len; i = i + 1) \
297    printf "="; \
298  printf "\n\n"; \
299} \
300{ \
301  copy_in_global_log = 1; \
302  global_test_result = "RUN"; \
303  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
304    { \
305      if (rc < 0) \
306         fatal("failed to read from " $$0 ".trs"); \
307      if (line ~ /$(am__global_test_result_rx)/) \
308        { \
309          sub("$(am__global_test_result_rx)", "", line); \
310          sub("[ 	]*$$", "", line); \
311          global_test_result = line; \
312        } \
313      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
314        copy_in_global_log = 0; \
315    }; \
316  if (copy_in_global_log) \
317    { \
318      rst_section(global_test_result ": " $$0); \
319      while ((rc = (getline line < ($$0 ".log"))) != 0) \
320      { \
321        if (rc < 0) \
322          fatal("failed to read from " $$0 ".log"); \
323        print line; \
324      }; \
325      printf "\n"; \
326    }; \
327  close ($$0 ".trs"); \
328  close ($$0 ".log"); \
329}'
330# Restructured Text title.
331am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
332# Solaris 10 'make', and several other traditional 'make' implementations,
333# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
334# by disabling -e (using the XSI extension "set +e") if it's set.
335am__sh_e_setup = case $$- in *e*) set +e;; esac
336# Default flags passed to test drivers.
337am__common_driver_flags = \
338  --color-tests "$$am__color_tests" \
339  --enable-hard-errors "$$am__enable_hard_errors" \
340  --expect-failure "$$am__expect_failure"
341# To be inserted before the command running the test.  Creates the
342# directory for the log if needed.  Stores in $dir the directory
343# containing $f, in $tst the test, in $log the log.  Executes the
344# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
345# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
346# will run the test scripts (or their associated LOG_COMPILER, if
347# thy have one).
348am__check_pre = \
349$(am__sh_e_setup);					\
350$(am__vpath_adj_setup) $(am__vpath_adj)			\
351$(am__tty_colors);					\
352srcdir=$(srcdir); export srcdir;			\
353case "$@" in						\
354  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
355    *) am__odir=.;; 					\
356esac;							\
357test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
358  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
359if test -f "./$$f"; then dir=./;			\
360elif test -f "$$f"; then dir=;				\
361else dir="$(srcdir)/"; fi;				\
362tst=$$dir$$f; log='$@'; 				\
363if test -n '$(DISABLE_HARD_ERRORS)'; then		\
364  am__enable_hard_errors=no; 				\
365else							\
366  am__enable_hard_errors=yes; 				\
367fi; 							\
368case " $(XFAIL_TESTS) " in				\
369  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
370    am__expect_failure=yes;;				\
371  *)							\
372    am__expect_failure=no;;				\
373esac; 							\
374$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
375# A shell command to get the names of the tests scripts with any registered
376# extension removed (i.e., equivalently, the names of the test logs, with
377# the '.log' extension removed).  The result is saved in the shell variable
378# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
379# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
380# since that might cause problem with VPATH rewrites for suffix-less tests.
381# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
382am__set_TESTS_bases = \
383  bases='$(TEST_LOGS)'; \
384  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
385  bases=`echo $$bases`
386RECHECK_LOGS = $(TEST_LOGS)
387AM_RECURSIVE_TARGETS = check recheck
388TEST_SUITE_LOG = test-suite.log
389TEST_EXTENSIONS = @EXEEXT@ .test
390LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
391LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
392am__set_b = \
393  case '$@' in \
394    */*) \
395      case '$*' in \
396        */*) b='$*';; \
397          *) b=`echo '$@' | sed 's/\.log$$//'`; \
398       esac;; \
399    *) \
400      b='$*';; \
401  esac
402am__test_logs1 = $(TESTS:=.log)
403am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
404TEST_LOGS = $(am__test_logs2:.test.log=.log)
405TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
406	$(TEST_LOG_FLAGS)
407am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp \
408	$(top_srcdir)/config/test-driver
409DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
410ACLOCAL = @ACLOCAL@
411AMTAR = @AMTAR@
412AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
413AR = @AR@
414AUTOCONF = @AUTOCONF@
415AUTOHEADER = @AUTOHEADER@
416AUTOMAKE = @AUTOMAKE@
417AWK = @AWK@
418CC = @CC@
419CCDEPMODE = @CCDEPMODE@
420CFLAGS = @CFLAGS@
421CONFDIR = @CONFDIR@
422CPP = @CPP@
423CPPFLAGS = @CPPFLAGS@
424CYGPATH_W = @CYGPATH_W@
425DEFAULT_INCLUDES = @DEFAULT_INCLUDES@
426DEFS = @DEFS@
427DEPDIR = @DEPDIR@
428DLLTOOL = @DLLTOOL@
429DSYMUTIL = @DSYMUTIL@
430DUMPBIN = @DUMPBIN@
431ECHO_C = @ECHO_C@
432ECHO_N = @ECHO_N@
433ECHO_T = @ECHO_T@
434EGREP = @EGREP@
435EXEEXT = @EXEEXT@
436FGREP = @FGREP@
437GREP = @GREP@
438INSTALL = @INSTALL@
439INSTALL_DATA = @INSTALL_DATA@
440INSTALL_PROGRAM = @INSTALL_PROGRAM@
441INSTALL_SCRIPT = @INSTALL_SCRIPT@
442INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
443LD = @LD@
444LDFLAGS = @LDFLAGS@
445LDPRELOAD = @LDPRELOAD@
446LIBOBJS = @LIBOBJS@
447LIBS = @LIBS@
448LIBTOOL = @LIBTOOL@
449LIBTOOL_DEPS = @LIBTOOL_DEPS@
450LIPO = @LIPO@
451LN_S = @LN_S@
452LTLIBOBJS = @LTLIBOBJS@
453LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
454MAKEINFO = @MAKEINFO@
455MANIFEST_TOOL = @MANIFEST_TOOL@
456MKDIR_P = @MKDIR_P@
457NM = @NM@
458NMEDIT = @NMEDIT@
459OBJDUMP = @OBJDUMP@
460OBJEXT = @OBJEXT@
461OTOOL = @OTOOL@
462OTOOL64 = @OTOOL64@
463PACKAGE = @PACKAGE@
464PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
465PACKAGE_NAME = @PACKAGE_NAME@
466PACKAGE_STRING = @PACKAGE_STRING@
467PACKAGE_TARNAME = @PACKAGE_TARNAME@
468PACKAGE_URL = @PACKAGE_URL@
469PACKAGE_VERSION = @PACKAGE_VERSION@
470PATH_SEPARATOR = @PATH_SEPARATOR@
471RANLIB = @RANLIB@
472SED = @SED@
473SET_MAKE = @SET_MAKE@
474SHELL = @SHELL@
475SHLIB_EXT = @SHLIB_EXT@
476STRIP = @STRIP@
477TESTLDFLAGS = @TESTLDFLAGS@
478TORSOCKSLDFLAGS = @TORSOCKSLDFLAGS@
479VERSION = @VERSION@
480abs_builddir = @abs_builddir@
481abs_srcdir = @abs_srcdir@
482abs_top_builddir = @abs_top_builddir@
483abs_top_srcdir = @abs_top_srcdir@
484ac_ct_AR = @ac_ct_AR@
485ac_ct_CC = @ac_ct_CC@
486ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
487am__include = @am__include@
488am__leading_dot = @am__leading_dot@
489am__quote = @am__quote@
490am__tar = @am__tar@
491am__untar = @am__untar@
492bindir = @bindir@
493build = @build@
494build_alias = @build_alias@
495build_cpu = @build_cpu@
496build_os = @build_os@
497build_vendor = @build_vendor@
498builddir = @builddir@
499datadir = @datadir@
500datarootdir = @datarootdir@
501docdir = @docdir@
502dvidir = @dvidir@
503exec_prefix = @exec_prefix@
504host = @host@
505host_alias = @host_alias@
506host_cpu = @host_cpu@
507host_os = @host_os@
508host_vendor = @host_vendor@
509htmldir = @htmldir@
510includedir = @includedir@
511infodir = @infodir@
512install_sh = @install_sh@
513libdir = @libdir@
514libexecdir = @libexecdir@
515localedir = @localedir@
516localstatedir = @localstatedir@
517mandir = @mandir@
518mkdir_p = @mkdir_p@
519oldincludedir = @oldincludedir@
520pdfdir = @pdfdir@
521prefix = @prefix@
522program_transform_name = @program_transform_name@
523psdir = @psdir@
524runstatedir = @runstatedir@
525sbindir = @sbindir@
526sharedstatedir = @sharedstatedir@
527srcdir = @srcdir@
528sysconfdir = @sysconfdir@
529target = @target@
530target_alias = @target_alias@
531target_cpu = @target_cpu@
532target_os = @target_os@
533target_vendor = @target_vendor@
534top_build_prefix = @top_build_prefix@
535top_builddir = @top_builddir@
536top_srcdir = @top_srcdir@
537TAP_DRIVER = $(top_srcdir)/tests/tap-driver.sh
538TEST_LOG_DRIVER = env AM_TAP_AWK='$(AWK)' $(SHELL) $(TAP_DRIVER)
539AM_CFLAGS = -I$(top_srcdir)/include \
540			-I$(top_srcdir)/src \
541			-I$(top_srcdir)/tests/utils/ \
542			-I$(srcdir) \
543			-I$(top_srcdir)/src/lib \
544			-DTORSOCKS_FIXTURE_PATH=\"`pwd`/fixtures/\"
545
546LIBTAP = $(top_builddir)/tests/utils/tap/libtap.la
547LIBCOMMON = $(top_builddir)/src/common/libcommon.la
548LIBTORSOCKS = $(top_builddir)/src/lib/libtorsocks.la
549EXTRA_DIST = fixtures
550test_onion_SOURCES = test_onion.c
551test_onion_LDADD = $(LIBTAP) $(LIBCOMMON)
552test_connection_SOURCES = test_connection.c
553test_connection_LDADD = $(LIBTAP) $(LIBCOMMON)
554test_utils_SOURCES = test_utils.c
555test_utils_LDADD = $(LIBTAP) $(LIBCOMMON)
556test_config_file_SOURCES = test_config-file.c
557test_config_file_LDADD = $(LIBTAP) $(LIBCOMMON)
558test_socks5_SOURCES = test_socks5.c
559test_socks5_LDADD = $(LIBTAP) $(LIBCOMMON) $(LIBTORSOCKS)
560test_compat_SOURCES = test_compat.c
561test_compat_LDADD = $(LIBTAP) $(LIBCOMMON) $(LIBTORSOCKS)
562all: all-am
563
564.SUFFIXES:
565.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
566$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
567	@for dep in $?; do \
568	  case '$(am__configure_deps)' in \
569	    *$$dep*) \
570	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
571	        && { if test -f $@; then exit 0; else break; fi; }; \
572	      exit 1;; \
573	  esac; \
574	done; \
575	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/unit/Makefile'; \
576	$(am__cd) $(top_srcdir) && \
577	  $(AUTOMAKE) --foreign tests/unit/Makefile
578Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
579	@case '$?' in \
580	  *config.status*) \
581	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
582	  *) \
583	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
584	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
585	esac;
586
587$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
588	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
589
590$(top_srcdir)/configure:  $(am__configure_deps)
591	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
592$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
593	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
594$(am__aclocal_m4_deps):
595
596clean-noinstPROGRAMS:
597	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
598	echo " rm -f" $$list; \
599	rm -f $$list || exit $$?; \
600	test -n "$(EXEEXT)" || exit 0; \
601	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
602	echo " rm -f" $$list; \
603	rm -f $$list
604
605test_compat$(EXEEXT): $(test_compat_OBJECTS) $(test_compat_DEPENDENCIES) $(EXTRA_test_compat_DEPENDENCIES)
606	@rm -f test_compat$(EXEEXT)
607	$(AM_V_CCLD)$(LINK) $(test_compat_OBJECTS) $(test_compat_LDADD) $(LIBS)
608
609test_config-file$(EXEEXT): $(test_config_file_OBJECTS) $(test_config_file_DEPENDENCIES) $(EXTRA_test_config_file_DEPENDENCIES)
610	@rm -f test_config-file$(EXEEXT)
611	$(AM_V_CCLD)$(LINK) $(test_config_file_OBJECTS) $(test_config_file_LDADD) $(LIBS)
612
613test_connection$(EXEEXT): $(test_connection_OBJECTS) $(test_connection_DEPENDENCIES) $(EXTRA_test_connection_DEPENDENCIES)
614	@rm -f test_connection$(EXEEXT)
615	$(AM_V_CCLD)$(LINK) $(test_connection_OBJECTS) $(test_connection_LDADD) $(LIBS)
616
617test_onion$(EXEEXT): $(test_onion_OBJECTS) $(test_onion_DEPENDENCIES) $(EXTRA_test_onion_DEPENDENCIES)
618	@rm -f test_onion$(EXEEXT)
619	$(AM_V_CCLD)$(LINK) $(test_onion_OBJECTS) $(test_onion_LDADD) $(LIBS)
620
621test_socks5$(EXEEXT): $(test_socks5_OBJECTS) $(test_socks5_DEPENDENCIES) $(EXTRA_test_socks5_DEPENDENCIES)
622	@rm -f test_socks5$(EXEEXT)
623	$(AM_V_CCLD)$(LINK) $(test_socks5_OBJECTS) $(test_socks5_LDADD) $(LIBS)
624
625test_utils$(EXEEXT): $(test_utils_OBJECTS) $(test_utils_DEPENDENCIES) $(EXTRA_test_utils_DEPENDENCIES)
626	@rm -f test_utils$(EXEEXT)
627	$(AM_V_CCLD)$(LINK) $(test_utils_OBJECTS) $(test_utils_LDADD) $(LIBS)
628
629mostlyclean-compile:
630	-rm -f *.$(OBJEXT)
631
632distclean-compile:
633	-rm -f *.tab.c
634
635@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_compat.Po@am__quote@ # am--include-marker
636@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_config-file.Po@am__quote@ # am--include-marker
637@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_connection.Po@am__quote@ # am--include-marker
638@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_onion.Po@am__quote@ # am--include-marker
639@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_socks5.Po@am__quote@ # am--include-marker
640@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_utils.Po@am__quote@ # am--include-marker
641
642$(am__depfiles_remade):
643	@$(MKDIR_P) $(@D)
644	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
645
646am--depfiles: $(am__depfiles_remade)
647
648.c.o:
649@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
650@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
651@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
652@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
653@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
654
655.c.obj:
656@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
657@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
658@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
659@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
660@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
661
662.c.lo:
663@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
664@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
665@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
666@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
667@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
668
669mostlyclean-libtool:
670	-rm -f *.lo
671
672clean-libtool:
673	-rm -rf .libs _libs
674
675ID: $(am__tagged_files)
676	$(am__define_uniq_tagged_files); mkid -fID $$unique
677tags: tags-am
678TAGS: tags
679
680tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
681	set x; \
682	here=`pwd`; \
683	$(am__define_uniq_tagged_files); \
684	shift; \
685	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
686	  test -n "$$unique" || unique=$$empty_fix; \
687	  if test $$# -gt 0; then \
688	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
689	      "$$@" $$unique; \
690	  else \
691	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
692	      $$unique; \
693	  fi; \
694	fi
695ctags: ctags-am
696
697CTAGS: ctags
698ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
699	$(am__define_uniq_tagged_files); \
700	test -z "$(CTAGS_ARGS)$$unique" \
701	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
702	     $$unique
703
704GTAGS:
705	here=`$(am__cd) $(top_builddir) && pwd` \
706	  && $(am__cd) $(top_srcdir) \
707	  && gtags -i $(GTAGS_ARGS) "$$here"
708cscopelist: cscopelist-am
709
710cscopelist-am: $(am__tagged_files)
711	list='$(am__tagged_files)'; \
712	case "$(srcdir)" in \
713	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
714	  *) sdir=$(subdir)/$(srcdir) ;; \
715	esac; \
716	for i in $$list; do \
717	  if test -f "$$i"; then \
718	    echo "$(subdir)/$$i"; \
719	  else \
720	    echo "$$sdir/$$i"; \
721	  fi; \
722	done >> $(top_builddir)/cscope.files
723
724distclean-tags:
725	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
726
727# Recover from deleted '.trs' file; this should ensure that
728# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
729# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
730# to avoid problems with "make -n".
731.log.trs:
732	rm -f $< $@
733	$(MAKE) $(AM_MAKEFLAGS) $<
734
735# Leading 'am--fnord' is there to ensure the list of targets does not
736# expand to empty, as could happen e.g. with make check TESTS=''.
737am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
738am--force-recheck:
739	@:
740
741$(TEST_SUITE_LOG): $(TEST_LOGS)
742	@$(am__set_TESTS_bases); \
743	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
744	redo_bases=`for i in $$bases; do \
745	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
746	            done`; \
747	if test -n "$$redo_bases"; then \
748	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
749	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
750	  if $(am__make_dryrun); then :; else \
751	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
752	  fi; \
753	fi; \
754	if test -n "$$am__remaking_logs"; then \
755	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
756	       "recursion detected" >&2; \
757	elif test -n "$$redo_logs"; then \
758	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
759	fi; \
760	if $(am__make_dryrun); then :; else \
761	  st=0;  \
762	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
763	  for i in $$redo_bases; do \
764	    test -f $$i.trs && test -r $$i.trs \
765	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
766	    test -f $$i.log && test -r $$i.log \
767	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
768	  done; \
769	  test $$st -eq 0 || exit 1; \
770	fi
771	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
772	ws='[ 	]'; \
773	results=`for b in $$bases; do echo $$b.trs; done`; \
774	test -n "$$results" || results=/dev/null; \
775	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
776	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
777	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
778	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
779	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
780	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
781	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
782	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
783	  success=true; \
784	else \
785	  success=false; \
786	fi; \
787	br='==================='; br=$$br$$br$$br$$br; \
788	result_count () \
789	{ \
790	    if test x"$$1" = x"--maybe-color"; then \
791	      maybe_colorize=yes; \
792	    elif test x"$$1" = x"--no-color"; then \
793	      maybe_colorize=no; \
794	    else \
795	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
796	    fi; \
797	    shift; \
798	    desc=$$1 count=$$2; \
799	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
800	      color_start=$$3 color_end=$$std; \
801	    else \
802	      color_start= color_end=; \
803	    fi; \
804	    echo "$${color_start}# $$desc $$count$${color_end}"; \
805	}; \
806	create_testsuite_report () \
807	{ \
808	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
809	  result_count $$1 "PASS: " $$pass  "$$grn"; \
810	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
811	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
812	  result_count $$1 "FAIL: " $$fail  "$$red"; \
813	  result_count $$1 "XPASS:" $$xpass "$$red"; \
814	  result_count $$1 "ERROR:" $$error "$$mgn"; \
815	}; \
816	{								\
817	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
818	    $(am__rst_title);						\
819	  create_testsuite_report --no-color;				\
820	  echo;								\
821	  echo ".. contents:: :depth: 2";				\
822	  echo;								\
823	  for b in $$bases; do echo $$b; done				\
824	    | $(am__create_global_log);					\
825	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
826	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
827	if $$success; then						\
828	  col="$$grn";							\
829	 else								\
830	  col="$$red";							\
831	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
832	fi;								\
833	echo "$${col}$$br$${std}"; 					\
834	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
835	echo "$${col}$$br$${std}"; 					\
836	create_testsuite_report --maybe-color;				\
837	echo "$$col$$br$$std";						\
838	if $$success; then :; else					\
839	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
840	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
841	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
842	  fi;								\
843	  echo "$$col$$br$$std";					\
844	fi;								\
845	$$success || exit 1
846
847check-TESTS:
848	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
849	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
850	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
851	@set +e; $(am__set_TESTS_bases); \
852	log_list=`for i in $$bases; do echo $$i.log; done`; \
853	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
854	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
855	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
856	exit $$?;
857recheck: all
858	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
859	@set +e; $(am__set_TESTS_bases); \
860	bases=`for i in $$bases; do echo $$i; done \
861	         | $(am__list_recheck_tests)` || exit 1; \
862	log_list=`for i in $$bases; do echo $$i.log; done`; \
863	log_list=`echo $$log_list`; \
864	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
865	        am__force_recheck=am--force-recheck \
866	        TEST_LOGS="$$log_list"; \
867	exit $$?
868test_compat.log: test_compat$(EXEEXT)
869	@p='test_compat$(EXEEXT)'; \
870	b='test_compat'; \
871	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
872	--log-file $$b.log --trs-file $$b.trs \
873	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
874	"$$tst" $(AM_TESTS_FD_REDIRECT)
875test_config-file.log: test_config-file$(EXEEXT)
876	@p='test_config-file$(EXEEXT)'; \
877	b='test_config-file'; \
878	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
879	--log-file $$b.log --trs-file $$b.trs \
880	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
881	"$$tst" $(AM_TESTS_FD_REDIRECT)
882test_connection.log: test_connection$(EXEEXT)
883	@p='test_connection$(EXEEXT)'; \
884	b='test_connection'; \
885	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
886	--log-file $$b.log --trs-file $$b.trs \
887	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
888	"$$tst" $(AM_TESTS_FD_REDIRECT)
889test_onion.log: test_onion$(EXEEXT)
890	@p='test_onion$(EXEEXT)'; \
891	b='test_onion'; \
892	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
893	--log-file $$b.log --trs-file $$b.trs \
894	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
895	"$$tst" $(AM_TESTS_FD_REDIRECT)
896test_socks5.log: test_socks5$(EXEEXT)
897	@p='test_socks5$(EXEEXT)'; \
898	b='test_socks5'; \
899	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
900	--log-file $$b.log --trs-file $$b.trs \
901	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
902	"$$tst" $(AM_TESTS_FD_REDIRECT)
903test_utils.log: test_utils$(EXEEXT)
904	@p='test_utils$(EXEEXT)'; \
905	b='test_utils'; \
906	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
907	--log-file $$b.log --trs-file $$b.trs \
908	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
909	"$$tst" $(AM_TESTS_FD_REDIRECT)
910.test.log:
911	@p='$<'; \
912	$(am__set_b); \
913	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
914	--log-file $$b.log --trs-file $$b.trs \
915	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
916	"$$tst" $(AM_TESTS_FD_REDIRECT)
917@am__EXEEXT_TRUE@.test$(EXEEXT).log:
918@am__EXEEXT_TRUE@	@p='$<'; \
919@am__EXEEXT_TRUE@	$(am__set_b); \
920@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
921@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
922@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
923@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
924
925distdir: $(BUILT_SOURCES)
926	$(MAKE) $(AM_MAKEFLAGS) distdir-am
927
928distdir-am: $(DISTFILES)
929	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
930	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
931	list='$(DISTFILES)'; \
932	  dist_files=`for file in $$list; do echo $$file; done | \
933	  sed -e "s|^$$srcdirstrip/||;t" \
934	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
935	case $$dist_files in \
936	  */*) $(MKDIR_P) `echo "$$dist_files" | \
937			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
938			   sort -u` ;; \
939	esac; \
940	for file in $$dist_files; do \
941	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
942	  if test -d $$d/$$file; then \
943	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
944	    if test -d "$(distdir)/$$file"; then \
945	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
946	    fi; \
947	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
948	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
949	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
950	    fi; \
951	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
952	  else \
953	    test -f "$(distdir)/$$file" \
954	    || cp -p $$d/$$file "$(distdir)/$$file" \
955	    || exit 1; \
956	  fi; \
957	done
958check-am: all-am
959	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
960check: check-am
961all-am: Makefile $(PROGRAMS) all-local
962installdirs:
963install: install-am
964install-exec: install-exec-am
965install-data: install-data-am
966uninstall: uninstall-am
967
968install-am: all-am
969	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
970
971installcheck: installcheck-am
972install-strip:
973	if test -z '$(STRIP)'; then \
974	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
975	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
976	      install; \
977	else \
978	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
979	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
980	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
981	fi
982mostlyclean-generic:
983	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
984	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
985	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
986
987clean-generic:
988
989distclean-generic:
990	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
991	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
992
993maintainer-clean-generic:
994	@echo "This command is intended for maintainers to use"
995	@echo "it deletes files that may require special tools to rebuild."
996clean: clean-am
997
998clean-am: clean-generic clean-libtool clean-local clean-noinstPROGRAMS \
999	mostlyclean-am
1000
1001distclean: distclean-am
1002		-rm -f ./$(DEPDIR)/test_compat.Po
1003	-rm -f ./$(DEPDIR)/test_config-file.Po
1004	-rm -f ./$(DEPDIR)/test_connection.Po
1005	-rm -f ./$(DEPDIR)/test_onion.Po
1006	-rm -f ./$(DEPDIR)/test_socks5.Po
1007	-rm -f ./$(DEPDIR)/test_utils.Po
1008	-rm -f Makefile
1009distclean-am: clean-am distclean-compile distclean-generic \
1010	distclean-tags
1011
1012dvi: dvi-am
1013
1014dvi-am:
1015
1016html: html-am
1017
1018html-am:
1019
1020info: info-am
1021
1022info-am:
1023
1024install-data-am:
1025
1026install-dvi: install-dvi-am
1027
1028install-dvi-am:
1029
1030install-exec-am:
1031
1032install-html: install-html-am
1033
1034install-html-am:
1035
1036install-info: install-info-am
1037
1038install-info-am:
1039
1040install-man:
1041
1042install-pdf: install-pdf-am
1043
1044install-pdf-am:
1045
1046install-ps: install-ps-am
1047
1048install-ps-am:
1049
1050installcheck-am:
1051
1052maintainer-clean: maintainer-clean-am
1053		-rm -f ./$(DEPDIR)/test_compat.Po
1054	-rm -f ./$(DEPDIR)/test_config-file.Po
1055	-rm -f ./$(DEPDIR)/test_connection.Po
1056	-rm -f ./$(DEPDIR)/test_onion.Po
1057	-rm -f ./$(DEPDIR)/test_socks5.Po
1058	-rm -f ./$(DEPDIR)/test_utils.Po
1059	-rm -f Makefile
1060maintainer-clean-am: distclean-am maintainer-clean-generic
1061
1062mostlyclean: mostlyclean-am
1063
1064mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1065	mostlyclean-libtool
1066
1067pdf: pdf-am
1068
1069pdf-am:
1070
1071ps: ps-am
1072
1073ps-am:
1074
1075uninstall-am:
1076
1077.MAKE: check-am install-am install-strip
1078
1079.PHONY: CTAGS GTAGS TAGS all all-am all-local am--depfiles check \
1080	check-TESTS check-am clean clean-generic clean-libtool \
1081	clean-local clean-noinstPROGRAMS cscopelist-am ctags ctags-am \
1082	distclean distclean-compile distclean-generic \
1083	distclean-libtool distclean-tags distdir dvi dvi-am html \
1084	html-am info info-am install install-am install-data \
1085	install-data-am install-dvi install-dvi-am install-exec \
1086	install-exec-am install-html install-html-am install-info \
1087	install-info-am install-man install-pdf install-pdf-am \
1088	install-ps install-ps-am install-strip installcheck \
1089	installcheck-am installdirs maintainer-clean \
1090	maintainer-clean-generic mostlyclean mostlyclean-compile \
1091	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1092	recheck tags tags-am uninstall uninstall-am
1093
1094.PRECIOUS: Makefile
1095
1096
1097all-local:
1098	@if [ x"$(srcdir)" != x"$(builddir)" ]; then \
1099		for script in $(EXTRA_DIST); do \
1100			cp -rf $(srcdir)/$$script $(builddir); \
1101		done; \
1102	fi
1103
1104# Force remove here so make sure EXTRA_DIST does not contain something like
1105# /usr. ;)
1106clean-local:
1107	@if [ x"$(srcdir)" != x"$(builddir)" ]; then \
1108		for script in $(EXTRA_DIST); do \
1109			rm -rf $(builddir)/$$script; \
1110		done; \
1111	fi
1112
1113# Tell versions [3.59,3.63) of GNU make to not export all variables.
1114# Otherwise a system limit (for SysV at least) may be exceeded.
1115.NOEXPORT:
1116